#include "CS_PeGunShotHit.h"

CS_PeGunShotHit::CS_PeGunShotHit()
{
	type = 3;
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"pe_gunshot_hit";
	topDraw = true;
}

void CS_PeGunShotHit::Step()
{
	if (ani.image_index == 4)
		Destroy();
}

std::shared_ptr<Entity> CreateCS_PeGunShotHit()
{
	return std::make_shared<CS_PeGunShotHit>();
}

void SetCS_PeGunShotHit(std::shared_ptr<Entity> parent, float x, float y)
{
	auto pe = std::make_shared<CS_PeGunShotHit>();
	pe->x = x;
	pe->y = y;
	parent->gameFunc->SetEntity(parent, pe);
}
